FHIR Complete

Practitioner

Practitioner resource operations and staff picker

Search Practitioners

GET /Practitioner?name={name}&_count={limit}&_offset={offset}

Parameters

ParameterTypeDescription
namestringSearch by practitioner name
identifierstringSearch by identifier
_countnumberPage size (default: 20)
_offsetnumberPagination offset

Read Practitioner

GET /Practitioner/{resource_id}

Create Practitioner

POST /Practitioner
Content-Type: application/json
{
  "resourceType": "Practitioner",
  "name": [
    {
      "use": "official",
      "family": "Kovac",
      "given": ["Maria"],
      "prefix": ["MUDr."]
    }
  ],
  "gender": "female",
  "qualification": [
    {
      "code": {
        "coding": [
          {
            "system": "http://snomed.info/sct",
            "code": "394802001",
            "display": "General Medicine"
          }
        ]
      }
    }
  ]
}

Update / Delete

PUT /Practitioner/{resource_id}
DELETE /Practitioner/{resource_id}

Practitioner $everything

Returns all data associated with a practitioner (appointments, care teams, etc.):

GET /Practitioner/{resource_id}/$everything

Staff Picker

Special endpoint for UI staff selection dropdowns:

GET /Practitioner/$staff-picker

Returns a simplified list of practitioners in the current org, suitable for autocomplete/dropdown components.

Practitioner Departments

GET /Practitioner/{resource_id}/$departments

Returns departments the practitioner belongs to.

PractitionerRole

Search practitioner roles (which practitioners work at which organizations in which specialties):

GET /PractitionerRole?practitioner={id}&organization={orgId}